bibentry(bibtype = "InProceedings",
         key = "Agrawal+Srikant:1994",
         author = c(person(given = "Rakesh",
                           family = "Agrawal"),
                    person(given = "Ramakrishnan",
                           family = "Srikant")),
         title = "Fast Algorithms for Mining Association Rules in Large Databases",
         year = "1994",
         isbn = "1558601538",
         publisher = "Morgan Kaufmann Publishers Inc.",
         address = "San Francisco, CA, USA",
         booktitle = "Proceedings of the 20th International Conference on Very Large Data Bases",
         pages = "487--499",
         numpages = "13",
         series = "VLDB '94")

bibentry(bibtype = "Article",
         key = "Aha+Kibler+Albert:1991",
         title = "Instance-Based Learning Algorithms",
         volume = "6",
         .issn = "1573-0565",
         doi = "10.1007/bf00153759",
         number = "1",
         journal = "Machine Learning",
         publisher = "Springer Science and Business Media LLC",
         author = c(person(given = c("David", "W."),
                           family = "Aha"),
                    person(given = "Dennis",
                           family = "Kibler"),
                    person(given = c("Marc", "K."),
                           family = "Albert")),
         year = "1991",
         month = "jan",
         pages = "37--66")

bibentry(bibtype = "Article",
         key = "Breiman:1996",
         title = "Bagging Predictors",
         volume = "24",
         .issn = "1573-0565",
         doi = "10.1023/a:1018054314350",
         number = "2",
         journal = "Machine Learning",
         publisher = "Springer Science and Business Media LLC",
         author = person(given = "Leo",
                         family = "Breiman"),
         year = "1996",
         month = "aug",
         pages = "123--140")

bibentry(bibtype = "InCollection",
         key = "Cohen:1995",
         title = "Fast Effective Rule Induction",
         editor = c(person(given = "Armand",
                           family = "Prieditis"),
                    person(given = "Stuart",
                           family = "Russell")),
         booktitle = "Machine Learning Proceedings 1995",
         publisher = "Morgan Kaufmann",
         address = "San Francisco (CA)",
         pages = "115--123",
         year = "1995",
         isbn = "978-1-55860-377-6",
         doi = "10.1016/B978-1-55860-377-6.50023-2",
         author = person(given = c("William", "W."),
                         family = "Cohen"))

bibentry(bibtype = "InProceedings",
         key = "Ester+Kriegel+Sander:1996",
         author = c(person(given = "Martin",
                           family = "Ester"),
                    person(given = "Hans-Peter",
                           family = "Kriegel"),
                    person(given = "Jörg",
                           family = "Sander"),
                    person(given = "Xiaowei",
                           family = "Xu")),
         title = "A Density-Based Algorithm for Discovering Clusters in Large Spatial Databases with Noise",
         year = "1996",
         publisher = "AAAI Press",
         booktitle = "Proceedings of the Second International Conference on Knowledge Discovery and Data Mining",
         pages = "226--231",
         numpages = "6",
         location = "Portland, Oregon",
         series = "KDD'96")

bibentry(bibtype = "InCollection",
         key = "Fayyad+Irani:1993",
         author = c(person(given = c("U.", "M."),
                           family = "Fayyad"),
                    person(given = c("K.", "B."),
                           family = "Irani")),
         title = "Multi-Interval Discretization of Continuous-Valued Attributes for Classification Learning",
         booktitle = "Thirteenth International Joint Conference on Artificial Intelligence",
         publisher = "Morgan Kaufmann",
         year = "1993",
         address = "Morgan Kaufmann")

bibentry(bibtype = "Article",
         key = "Fisher:1987",
         title = "Knowledge Acquisition Via Incremental Conceptual Clustering",
         volume = "2",
         .issn = "1573-0565",
         doi = "10.1023/a:1022852608280",
         number = "2",
         journal = "Machine Learning",
         publisher = "Springer Science and Business Media LLC",
         author = person(given = c("Douglas", "H."),
                         family = "Fisher"),
         year = "1987",
         month = "sep",
         pages = "139--172")

bibentry(bibtype = "Article",
         key = "Flach+Lachiche:2001",
         title = "Confirmation-Guided Discovery of First-Order Rules with {Tertius}",
         volume = "42",
         .issn = "1573-0565",
         doi = "10.1023/a:1007656703224",
         number = "1--2",
         journal = "Machine Learning",
         publisher = "Springer Science and Business Media LLC",
         author = c(person(given = c("Peter", "A."),
                           family = "Flach"),
                    person(given = "Nicolas",
                           family = "Lachiche")),
         year = "2001",
         month = "jan",
         pages = "61--95")

bibentry(bibtype = "InProceedings",
         key = "Frank+Witten:1998",
         author = c(person(given = "Eibe",
                           family = "Frank"),
                    person(given = c("Ian", "H."),
                           family = "Witten")),
         title = "Generating Accurate Rule Sets Without Global Optimization",
         year = "1998",
         isbn = "1558605568",
         publisher = "Morgan Kaufmann Publishers Inc.",
         address = "San Francisco, CA, USA",
         booktitle = "Proceedings of the Fifteenth International Conference on Machine Learning",
         pages = "144--151",
         numpages = "8",
         series = "ICML '98")

bibentry(bibtype = "InProceedings",
         key = "Freund+Schapire:1996",
         author = c(person(given = "Yoav",
                           family = "Freund"),
                    person(given = c("Robert", "E."),
                           family = "Schapire")),
         title = "Experiments with a New Boosting Algorithm",
         year = "1996",
         isbn = "1558604197",
         publisher = "Morgan Kaufmann Publishers Inc.",
         address = "San Francisco, CA, USA",
         booktitle = "Proceedings of the Thirteenth International Conference on International Conference on Machine Learning",
         pages = "148--156",
         numpages = "9",
         location = "Bari, Italy",
         series = "ICML'96")

bibentry(bibtype = "Article",
         key = "Friedman+Hastie+Tibshirani:2000",
         title = "Additive Logistic Regression: A Statistical View of Boosting",
         volume = "28",
         .issn = "0090-5364",
         doi = "10.1214/aos/1016218223",
         number = "2",
         journal = "The Annals of Statistics",
         publisher = "Institute of Mathematical Statistics",
         author = c(person(given = "Jerome",
                           family = "Friedman"),
                    person(given = "Trevor",
                           family = "Hastie"),
                    person(given = "Robert",
                           family = "Tibshirani")),
         year = "2000",
         month = "apr")

bibentry(bibtype = "Article",
         key = "Gennari+Langley+Fisher:1989",
         title = "Models of Incremental Concept Formation",
         journal = "Artificial Intelligence",
         volume = "40",
         number = "1",
         pages = "11--61",
         year = "1989",
         issn = "0004-3702",
         doi = "10.1016/0004-3702(89)90046-5",
         author = c(person(given = c("John", "H."),
                           family = "Gennari"),
                    person(given = "Pat",
                           family = "Langley"),
                    person(given = "Doug",
                           family = "Fisher")))

bibentry(bibtype = "Article",
         key = "Hochbaum+Shmoys:1985",
         title = "A Best Possible Heuristic for the k-Center Problem",
         volume = "10",
         .issn = "1526-5471",
         doi = "10.1287/moor.10.2.180",
         number = "2",
         journal = "Mathematics of Operations Research",
         publisher = "Institute for Operations Research and the Management Sciences (INFORMS)",
         author = c(person(given = c("Dorit", "S."),
                           family = "Hochbaum"),
                    person(given = c("David", "B."),
                           family = "Shmoys")),
         year = "1985",
         month = "may",
         pages = "180--184")

bibentry(bibtype = "InProceedings",
         key = "Holmes+Hall+Frank:1999",
         author = c(person(given = "Geoffrey",
                           family = "Holmes"),
                    person(given = "Mark",
                           family = "Hall"),
                    person(given = "Eibe",
                           family = "Frank")),
         editor = person(given = "Norman",
                         family = "Foo"),
         title = "Generating Rule Sets from Model Trees",
         booktitle = "Advanced Topics in Artificial Intelligence",
         year = "1999",
         publisher = "Springer Berlin Heidelberg",
         address = "Berlin, Heidelberg",
         pages = "1--12",
         isbn = "978-3-540-46695-6",
         doi = "10.1007/3-540-46695-9_1")

bibentry(bibtype = "Article",
         key = "Holte:1993",
         title = "Very Simple Classification Rules Perform Well on Most Commonly Used Datasets",
         volume = "11",
         .issn = "1573-0565",
         doi = "10.1023/a:1022631118932",
         number = "1",
         journal = "Machine Learning",
         publisher = "Springer Science and Business Media LLC",
         author = person(given = c("Robert", "C."),
                         family = "Holte"),
         year = "1993",
         month = "apr",
         pages = "63--90")

bibentry(bibtype = "Article",
         key = "Hornik+Buchta+Zeileis:2008",
         title = "Open-Source Machine Learning: {R} Meets {Weka}",
         volume = "24",
         .issn = "1613-9658",
         doi = "10.1007/s00180-008-0119-7",
         number = "2",
         journal = "Computational Statistics",
         publisher = "Springer Science and Business Media LLC",
         author = c(person(given = "Kurt",
                           family = "Hornik"),
                    person(given = "Christian",
                           family = "Buchta"),
                    person(given = "Achim",
                           family = "Zeileis")),
         year = "2008",
         month = "may",
         pages = "225--232")

bibentry(bibtype = "MastersThesis",
         key = "Landwehr:2003",
         author = person(given = "Niels",
                         family = "Landwehr"),
         title = "Logistic Model Trees",
         school = "Institute for Computer Science, University of Freiburg, Germany",
         year = "2003",
         url = "https://www.cs.uni-potsdam.de/ml/landwehr/diploma_thesis.pdf")

bibentry(bibtype = "Article",
         key = "Landwehr+Hall+Frank:2005",
         title = "Logistic Model Trees",
         volume = "59",
         .issn = "1573-0565",
         doi = "10.1007/s10994-005-0466-3",
         number = "1--2",
         journal = "Machine Learning",
         publisher = "Springer Science and Business Media LLC",
         author = c(person(given = "Niels",
                           family = "Landwehr"),
                    person(given = "Mark",
                           family = "Hall"),
                    person(given = "Eibe",
                           family = "Frank")),
         year = "2005",
         month = "may",
         pages = "161--205")

bibentry(bibtype = "Article",
         key = "Lovins:1968",
         author = person(given = c("J.", "B."),
                         family = "Lovins"),
         title = "Development of a Stemming Algorithm",
         journal = "Mechanical Translation and Computational Linguistics",
         year = "1968",
         volume = "11",
         pages = "22--31",
         url = "https://aclanthology.org/www.mt-archive.info/MT-1968-Lovins.pdf")

bibentry(bibtype = "InProceedings",
         key = "Pelleg+Moore:2000",
         author = c(person(given = "Dan",
                           family = "Pelleg"),
                    person(given = c("Andrew", "W."),
                           family = "Moore")),
         title = "X-means: Extending K-means with Efficient Estimation of the Number of Clusters",
         year = "2000",
         isbn = "1558607072",
         publisher = "Morgan Kaufmann Publishers Inc.",
         address = "San Francisco, CA, USA",
         booktitle = "Proceedings of the Seventeenth International Conference on Machine Learning",
         pages = "727--734",
         numpages = "8",
         series = "ICML '00")

bibentry(bibtype = "InCollection",
         key = "Platt:1998",
         author = person(given = c("John", "C."),
                         family = "Platt"),
         title = "Fast Training of Support Vector Machines using Sequential Minimal Optimization",
         booktitle = "Advances in Kernel Methods --- Support Vector Learning",
         publisher = "MIT Press",
         year = "1998",
         editor = c(person(given = "B.",
                           family = "Schoelkopf"),
                    person(given = "C.",
                           family = "Burges"),
                    person(given = "A.",
                           family = "Smola")))

bibentry(bibtype = "InCollection",
         key = "Quinlan:1992",
         author = person(given = "Ross",
                         family = "Quinlan"),
         title = "Learning with Continuous Classes",
         booktitle = "Proceedings of the Australian Joint Conference on Artificial Intelligence",
         publisher = "World Scientific",
         year = "1992",
         pages = "343--348",
         address = "Singapore")

bibentry(bibtype = "Book",
         key = "Quinlan:1993",
         author = person(given = "Ross",
                         family = "Quinlan"),
         title = "{C4.5}: Programs for Machine Learning",
         publisher = "Morgan Kaufmann Publishers",
         year = "1993",
         address = "San Mateo, CA")

bibentry(bibtype = "InCollection",
         key = "Wang+Witten:1997",
         author = c(person(given = "Yong",
                           family = "Wang"),
                    person(given = c("Ian", "H."),
                           family = "Witten")),
         title = "Induction of Model Trees for Predicting Continuous Classes",
         booktitle = "Proceedings of the European Conference on Machine Learning",
         year = "1997",
         publisher = "University of Economics, Faculty of Informatics and Statistics",
         address = "Prague")

bibentry(bibtype = "Book",
         key = "Witten+Frank:2005",
         author = c(person(given = c("Ian", "H."),
                           family = "Witten"),
                    person(given = "Eibe",
                           family = "Frank")),
         title = "Data Mining: Practical Machine Learning Tools and Techniques",
         publisher = "Morgan Kaufmann",
         year = "2005",
         address = "San Francisco, CA")

bibentry(bibtype = "Article",
         key = "Webb:2000",
         title = "MultiBoosting: A Technique for Combining Boosting and Wagging",
         volume = "40",
         .issn = "1573-0565",
         doi = "10.1023/a:1007659514849",
         number = "2",
         journal = "Machine Learning",
         publisher = "Springer Science and Business Media LLC",
         author = person(given = c("Geoffrey", "I."),
                         family = "Webb"),
         year = "2000",
         month = "aug",
         pages = "159--196")

bibentry(bibtype = "Article",
         key = "Wolpert:1992",
         title = "Stacked Generalization",
         volume = "5",
         .issn = "0893-6080",
         doi = "10.1016/s0893-6080(05)80023-1",
         number = "2",
         journal = "Neural Networks",
         publisher = "Elsevier BV",
         author = person(given = c("David", "H."),
                         family = "Wolpert"),
         year = "1992",
         month = "jan",
         pages = "241--259")

bibentry(bibtype = "Article",
         key = "Zheng+Webb:2000",
         title = "Lazy Learning of Bayesian Rules",
         volume = "41",
         .issn = "1573-0565",
         doi = "10.1023/a:1007613203719",
         number = "1",
         journal = "Machine Learning",
         publisher = "Springer Science and Business Media LLC",
         author = c(person(given = "Zijian",
                           family = "Zheng"),
                    person(given = c("Geoffrey", "I."),
                           family = "Webb")),
         year = "2000",
         month = "oct",
         pages = "53--84")
